openSUSEセキュリティ更新プログラム:mariadb(openSUSE-2016-1417)

high Nessus プラグイン ID 95597

言語:

概要

リモートのopenSUSEホストに、セキュリティ更新プログラムがありません。

説明

このmariadbをバージョン10.0.28に更新することにより、次の問題が修正されます(bsc#1008318):

セキュリティ修正:

- CVE-2016-8283:サブコンポーネントTypesdeの詳細不明な脆弱性 [bsc#1005582]

- CVE-2016-7440:サブコンポーネントEncryptionでの詳細不明な脆弱性(bsc#1005581)

- CVE-2016-5629:サブコンポーネントFederatedでの詳細不明な脆弱性(bsc#1005569)

- CVE-2016-5626:サブコンポーネントGISでの詳細不明な脆弱性(bsc#1005566)

- CVE-2016-5624:サブコンポーネントDMLでの詳細不明な脆弱性 [bsc#1005564]

- CVE-2016-5616:サブコンポーネントMyISAMでの詳細不明な脆弱性 [bsc#1005562]

- CVE-2016-5584:サブコンポーネントEncryptionでの詳細不明な脆弱性(bsc#1005558)

- CVE-2016-3492:サブコンポーネントOptimizerでの詳細不明な脆弱性(bsc#1005555)

- CVE-2016-6663:権限昇格/競合状態(bsc#1001367):

バグ修正:

- mysql_install_dbがデータファイルを見つけられません(bsc#1006539)

- mariadbがsys_vars.optimizer_switch_basicテストに失敗しました(bsc#1003800)

- 不要な[email protected]を削除します(bsc#1004477)

- 文字列「@[email protected]」は適切に展開されないため、出現するこの文字列をすべて「/etc」に置き換えます[bsc#990890]

- 重要な変更点:

-XtraDBが5.6.33-79.0に更新されました

-TokuDBが5.6.33-79.0に更新されました

-Innodbが5.6.33に更新されました

- パフォーマンススキーマが5.6.33に更新されました

- リリースノートとUpstream変更ログ:

-https://kb.askmonty.org/en/mariadb-10028-release-notes

-https://kb.askmonty.org/en/mariadb-10028-changelog

This update was imported from the SUSE: SLE-12-SP1:Update update project.

ソリューション

影響を受けるmariadbパッケージを更新してください。

関連情報

https://bugzilla.opensuse.org/show_bug.cgi?id=1001367

https://bugzilla.opensuse.org/show_bug.cgi?id=1003800

https://bugzilla.opensuse.org/show_bug.cgi?id=1004477

https://bugzilla.opensuse.org/show_bug.cgi?id=1005555

https://bugzilla.opensuse.org/show_bug.cgi?id=1005558

https://bugzilla.opensuse.org/show_bug.cgi?id=1005562

https://bugzilla.opensuse.org/show_bug.cgi?id=1005564

https://bugzilla.opensuse.org/show_bug.cgi?id=1005566

https://bugzilla.opensuse.org/show_bug.cgi?id=1005569

https://bugzilla.opensuse.org/show_bug.cgi?id=1005581

https://bugzilla.opensuse.org/show_bug.cgi?id=1005582

https://bugzilla.opensuse.org/show_bug.cgi?id=1006539

https://bugzilla.opensuse.org/show_bug.cgi?id=1008318

https://bugzilla.opensuse.org/show_bug.cgi?id=990890

https://mariadb.com/kb/en/library/mariadb-10028-changelog/

https://mariadb.com/kb/en/library/mariadb-10028-release-notes/

プラグインの詳細

深刻度: High

ID: 95597

ファイル名: openSUSE-2016-1417.nasl

バージョン: 3.5

タイプ: local

エージェント: unix

公開日: 2016/12/7

更新日: 2021/1/19

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: High

スコア: 8.4

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5.3

ベクトル: AV:N/AC:L/Au:S/C:N/I:N/A:C

現状ベクトル: E:POC/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7

Temporal Score: 6.3

ベクトル: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:opensuse:libmysqlclient-devel, p-cpe:/a:novell:opensuse:libmysqlclient18, p-cpe:/a:novell:opensuse:libmysqlclient18-32bit, p-cpe:/a:novell:opensuse:libmysqlclient18-debuginfo, p-cpe:/a:novell:opensuse:libmysqlclient18-debuginfo-32bit, p-cpe:/a:novell:opensuse:libmysqlclient_r18, p-cpe:/a:novell:opensuse:libmysqlclient_r18-32bit, p-cpe:/a:novell:opensuse:libmysqld-devel, p-cpe:/a:novell:opensuse:libmysqld18, p-cpe:/a:novell:opensuse:libmysqld18-debuginfo, p-cpe:/a:novell:opensuse:mariadb, p-cpe:/a:novell:opensuse:mariadb-bench, p-cpe:/a:novell:opensuse:mariadb-bench-debuginfo, p-cpe:/a:novell:opensuse:mariadb-client, p-cpe:/a:novell:opensuse:mariadb-client-debuginfo, p-cpe:/a:novell:opensuse:mariadb-debuginfo, p-cpe:/a:novell:opensuse:mariadb-debugsource, p-cpe:/a:novell:opensuse:mariadb-errormessages, p-cpe:/a:novell:opensuse:mariadb-test, p-cpe:/a:novell:opensuse:mariadb-test-debuginfo, p-cpe:/a:novell:opensuse:mariadb-tools, p-cpe:/a:novell:opensuse:mariadb-tools-debuginfo, cpe:/o:novell:opensuse:42.1

必要な KB アイテム: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2016/12/6

参照情報

CVE: CVE-2016-3492, CVE-2016-5584, CVE-2016-5616, CVE-2016-5624, CVE-2016-5626, CVE-2016-5629, CVE-2016-6663, CVE-2016-7440, CVE-2016-8283